//
//  CHDictionaryExtensions.h
//  Chocolat
//
//  Created by Pieter Omvlee on 8/19/08.
//  Copyright 2008 Insearchofaname. All rights reserved.
//

#import <Cocoa/Cocoa.h>


@interface NSDictionary (CHDictionaryExtensions)

//merges all dictionaries in the array into one dictionary. where double keys are concerned; the last dictionary wins
+ (id)dictionaryByMergingDictionariesInArray:(NSArray *)anArray;

//merges the two dictionaries into one dictionary. Where double keys are concerned; the last dictionary wins
+ (id)dictionaryByMergingDictionary:(NSDictionary *)dict1 andDictionary:(NSDictionary *)dict2;

- (void)addValue:(id)aValue forKey:(NSString *)aKey;


- (NSInteger)integerForKey:(NSString *)aKey;
@end

@interface NSMutableDictionary (CHMutableDictionaryExtensions)
- (void)setInteger:(NSInteger)aPoint forKey:(NSString *)aKey;
@end